<div class="correction">
  <div class="correction__permeability">
    <div class="correction__main-block">
      <div class="permeability">
        <h3 class="correction__title">
          Permeability to air
        </h3>
        <mat-form-field class="correction__input">
          <input
            class="correction__value"
            type="number"
            min="{{ minPermeabilityValue }}"
            max="{{ maxPermeabilityValue }}"
            step="0.05"
            matInput
            [(ngModel)]="permeabilityValue"
            (keyup)="changePermeability($event)"
            (change)="changePermeability($event)"
          />
        </mat-form-field>
        <p class="correction__unit">mD</p>
        <mat-slider
          min="{{ minPermeabilityValue }}"
          max="{{ maxPermeabilityValue }}"
          step="0.05"
          [(ngModel)]="permeabilityValue"
          (input)="permeabilityValue = $event.value"
          (change)="changeKlinkenberg()"
        >
        </mat-slider>
      </div>
      <div class="pmean">
        <div class="pmean__header">
          <div>
            <h3 class="correction__title pmean__title">
              Pmean
            </h3>
            <p class="correction__status pmean__status">Mean Pressure</p>
          </div>
          <mat-slide-toggle class="pmean__toogle" (change)="onToogleButton($event.checked)"> </mat-slide-toggle>
        </div>
        <div *ngIf="isPmean" class="pmean__body">
          <mat-form-field class="correction__input">
            <input
              class="correction__value"
              type="number"
              min="{{ minPmeanValue }}"
              max="{{ maxPmeanValue }}"
              step="0.1"
              matInput
              [(ngModel)]="pmeanValue"
              (keyup)="changePmean($event)"
              (change)="changePmean($event)"
            />
          </mat-form-field>
          <p class="correction__unit">mD</p>
          <mat-slider
            min="{{ minPmeanValue }}"
            max="{{ maxPmeanValue }}"
            step="0.1"
            [(ngModel)]="pmeanValue"
            (input)="pmeanValue = $event.value"
            (change)="changeKlinkenberg()"
          >
          </mat-slider>
        </div>
        <span class="correction__reset" *ngIf="permeabilityValue || pmeanValue" (click)="resetAllValue()">
          Reset
        </span>
      </div>
    </div>
    <div class="correction__klinkenberg klinkenberg">
      <div class="klinkenberg__header">
        <h3 class="correction__title klinkenberg__title">
          Klinkenberg Permeability
        </h3>
        <p class="correction__status klinkenberg__status">{{ isPmean ? pmeanStatus : noPmeanStatus }}</p>
      </div>
      <p class="correction__value">{{ klinkenbergValue | number: '1.0-3' }}</p>
      <p class="correction__unit">mD</p>
      <i
        class="klinkenberg__copy material-icons"
        #tooltip="matTooltip"
        matTooltipClass="klinkenberg__tooltip"
        matTooltip="{{ isCopied ? 'Copied' : 'Copy Value' }}"
        matTooltipPosition="above"
        (click)="copyToClipboard(klinkenbergValue); tooltip.show()"
        (mouseenter)="isCopied = false"
      >
        content_copy
      </i>
    </div>
  </div>
</div>
